import { defHttp } from '/@/utils/http/axios';
import { getMenuListResultModel } from './model/menuModel';
import { genAction, Api } from '../tigerapi/system';

enum _Api {
  GetMenuList = '/SYS/getMenuList',
  GetMenuListAll = '/SYS/getMenuListAll',
}

/**
 * @description: Get user menu based on userid
 */

export const getMenuList = (userid: {}) => {
  return defHttp.get<getMenuListResultModel>(
    { url: _Api.GetMenuList, params: userid },
    {
      isTransformResponse: false, //api返回不做转换格式，保留原来数据
    },
  );
};

export const getMenuListAll = () => {
  return defHttp.get<getMenuListResultModel>(
    { url: _Api.GetMenuListAll },
    {
      isTransformResponse: false, //api返回不做转换格式，保留原来数据
    },
  );
};

// params: string
// 菜单权限
export const getMenuAuthList = async (params: string) => {
  const usParams = genAction('V_USER_MENU', {
    QueryAble_T: '',
    where: "USER_ID = '" + params + "'",
    order: '',
  });
  return await defHttp.post(
    { url: Api.QueryUrl, params: usParams },
    {
      errorMessageMode: 'none',
      isTransformResponse: false,
    },
  );
};
